# Class BitMap<T>

java.lang.Object
org.apache.zookeeper.server.util.BitMap<T>

public class BitMap<T> extends Object
This is a helper class to maintain the bit to specific value and the reversed value to bit mapping.

## Constructor Summary

Constructors
Constructor
Description
`BitMap()`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`add(T value)`
`T`
`get(int bit)`
`Integer`
`getBit(T value)`
`T`
`remove(int bit)`
`int`
`remove(T value)`
`int`
`size()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BitMap

public BitMap()

## Method Details

### add

public Integer add(T value)

### get

public T get(int bit)

### getBit

public Integer getBit(T value)

### remove

public int remove(T value)

### remove

public T remove(int bit)

### size

public int size()